---
title: "Delete an invoice · Invoices · COUNT Partner API"
description: "Deletes an invoice, estimate, or credit memo. DELETE /partners/invoices/{uuid}"
canonical: "https://developers.getcount.com/reference/invoices/delete-invoice"
source: "https://developers.getcount.com/reference/invoices/delete-invoice"
---
[Invoices](https://developers.getcount.com/reference/invoices) / Delete an invoice

# Delete an invoice

DELETE `/partners/invoices/{uuid}`

Deletes an invoice, estimate, or credit memo.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=DELETE&path=%2Fpartners%2Finvoices%2F%7Buuid%7D)

[Credit Memos API](https://developers.getcount.com/reference/credit-memo) [Customers API](https://developers.getcount.com/reference/customers) [Products & Services API](https://developers.getcount.com/reference/products-and-services) [Transactions API](https://developers.getcount.com/reference/transactions)

#### Path parameters

`uuid` uuid required

The UUID of the invoice.

#### Responses

`200` Invoice deleted.

`404` Invoice not found.

[Previous PATCH Remove transaction](https://developers.getcount.com/reference/invoices/remove-invoice-transaction)

DELETE `https://api.getcount.com/partners/invoices/{uuid}`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Invoice deleted."
}
```
